List my automation tokens

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /auth/tokens

Lists the caller's scoped automation tokens, newest first, with label, scopes, last use, expiry and revoked flag. Token values are never returned, and legacy tokens are not listed.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data array[object] Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • label string
      • scopes array[string] Required

        Values are cases:create, codes:create, or exports:create.

      • lastUsed string(date-time)
      • validTill string(date-time)
      • isRevoked boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /auth/tokens
curl \
 --request GET 'http://api.example.com/auth/tokens' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "createdAt": "2026-01-15T14:30:00.000Z",
      "updatedAt": "2026-01-15T14:30:00.000Z",
      "id": "507f1f77bcf86cd799439011",
      "label": "Intake automation",
      "scopes": [
        "cases:create",
        "codes:create"
      ],
      "lastUsed": "2026-01-15T14:30:00.000Z",
      "validTill": "2027-01-15T14:30:00.000Z",
      "isRevoked": false
    }
  ],
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}